uniform sampler3D tex;
varying vec3 normal;

uniform float lightAmbient, lightDiffuse, lightSpecular, lightExponent, lightMin;
uniform vec3 lightVec;

void main (void)
{
	vec4 color = texture3D(tex, vec3(gl_TexCoord[0].x, gl_TexCoord[0].y, gl_TexCoord[0].z));
	
	float light = max(lightAmbient + dot(normal,lightVec)*lightDiffuse + pow(dot(normal,lightVec), lightExponent)*lightSpecular, lightMin);
//	float light = max(normal.z*0.9+0.1, 0.3);
	color.xyz = color.xyz * light;
	
	gl_FragColor = color;
}